/*
 * This file is generated by jOOQ.
 */
package de.ship.db.tables.records;


import de.ship.db.enums.EnumIsocode;
import de.ship.db.tables.VCoreLanguage;

import org.jooq.impl.TableRecordImpl;


/**
 * This class is generated by jOOQ.
 */
@SuppressWarnings({ "all", "unchecked", "rawtypes" })
public class VCoreLanguageRecord extends TableRecordImpl<VCoreLanguageRecord> {

    private static final long serialVersionUID = 1L;

    /**
     * Setter for <code>common_dd.v_core_language.lang_key</code>.
     */
    public void setLangKey(String value) {
        set(0, value);
    }

    /**
     * Getter for <code>common_dd.v_core_language.lang_key</code>.
     */
    public String getLangKey() {
        return (String) get(0);
    }

    /**
     * Setter for <code>common_dd.v_core_language.lang_isocode</code>.
     */
    public void setLangIsocode(EnumIsocode value) {
        set(1, value);
    }

    /**
     * Getter for <code>common_dd.v_core_language.lang_isocode</code>.
     */
    public EnumIsocode getLangIsocode() {
        return (EnumIsocode) get(1);
    }

    /**
     * Setter for <code>common_dd.v_core_language.lang_value</code>.
     */
    public void setLangValue(String value) {
        set(2, value);
    }

    /**
     * Getter for <code>common_dd.v_core_language.lang_value</code>.
     */
    public String getLangValue() {
        return (String) get(2);
    }

    // -------------------------------------------------------------------------
    // Constructors
    // -------------------------------------------------------------------------

    /**
     * Create a detached VCoreLanguageRecord
     */
    public VCoreLanguageRecord() {
        super(VCoreLanguage.V_CORE_LANGUAGE);
    }

    /**
     * Create a detached, initialised VCoreLanguageRecord
     */
    public VCoreLanguageRecord(String langKey, EnumIsocode langIsocode, String langValue) {
        super(VCoreLanguage.V_CORE_LANGUAGE);

        setLangKey(langKey);
        setLangIsocode(langIsocode);
        setLangValue(langValue);
        resetChangedOnNotNull();
    }
}
